Bug 138326 - impress template thumbnails are blurred
Summary: impress template thumbnails are blurred
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-19 10:04 UTC by Xisco Faulí
Modified: 2020-11-25 14:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (67.32 KB, image/png)
2020-11-19 10:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-19 10:04:35 UTC
Created attachment 167397 [details]
screenshot

Steps to reproduce:
1. Open Impress

-> See screenshot

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 2f7b5634487ac3d27777ab12a57089e71ea5216d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-11-19 10:05:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=548d77d0c06f7088dd3eb408797aa1fc1d7eb277

author	Noel <noelgrandin@gmail.com>	2020-11-13 10:23:36 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-11-16 08:10:35 +0100
commit	548d77d0c06f7088dd3eb408797aa1fc1d7eb277 (patch)
tree	1d937daefcd40b9d2c0e05eaec2da500b2b68845
parent	bf4bbc3c2174b21577b8878bc3197923ba44a029 (diff)
tools::Long->sal_uInt16 in ImpErrorQuad

Bisected with: bibisect-linux64-7.1

Adding Cc: to Noel Grandin
Comment 2 Commit Notification 2020-11-25 06:14:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/caf72d1f20547a94e29c0943eb94fa52aec430a4

tdf#138326 impress template thumbnails are blurred

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-11-25 12:46:45 UTC
Verified in a local with with the patch included

@Noel, thanks for fixing this issue!!
Comment 4 Commit Notification 2020-11-25 14:01:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/09582f3856cd9870eeb52c57ba61864c5b1e0259

tdf#138326 impress template thumbnails are blurred

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.